/**
 * The class name contract for the text action component
 */
export interface TextActionClassNameContract {
    /**
     * The root of the text action component
     */
    textAction: string;

    /**
     * The filled appearance modifier
     */
    textAction__filled?: string;

    /**
     * The outline appearance modifier
     */
    textAction__outline?: string;

    /**
     * The disabled state
     */
    textAction__disabled: string;

    /**
     * The focused state
     */
    textAction__focus: string;

    /**
     * The button
     */
    textAction_button: string;

    /**
     * The preceding glyph
     */
    textAction_beforeGlyph: string;

    /**
     * The trailing glyph
     */
    textAction_afterGlyph: string;
}
